;*************************************************
; Module: /dskbus/include/arch/reg751.inc
;
; 83c751 SFR declarations
;   Environment:  83C751 Assembler
;
;************************************************
; ACCESS.bus Technology Transfer Agreement
; 
; Grant of Right to Use ACCESS.bus Technology
; 
; In exchange for your agreeing to the warranty disclaimer and liability
; limitation stipulated in this Technology Transfer Agreement, Digital
; Equipment Corporation (Digital) grants at no cost to you a royalty-free
; nonexclusive license to use ACCESS.bus technology (as specified in the
; ACCESS.bus Hardware and Protocol Specifications) to design and develop
; any kind of option board, computer system, or application-specific
; integrated circuit (ASIC).  This Agreement does not grant you any other
; rights in Digital's patents, copyrights, trade secrets, trademarks, or
; licenses to ACCESS.bus technology.
; 
; Warranty Disclaimer
; 
; The ACCESS.bus technology is transferred "as is."  Digital
; expressly disclaims all implied warranties including, but not
; limited to, the implied warranties of merchantability and fitness
; for a particular purpose.  Digital does not warrant, guarantee, or
; make any representations regarding the use of or the results of the
; use of source code and related documents in terms of correctness,
; accuracy, or reliability.  Digital believes the code is accurate;
; however, you must assume the risk as to the results and performance
; of any product you develop that is based on the ACCESS.bus technology.
; 
; Limits of Liability
; 
; You agree that Digital shall not be liable to you under this Agreement for
; any damages, including without limitation any lost profits or lost savings,
; or any consequential, incidental, or punitive damages arising out of the use
; or inability to use the ACCESS.bus Keyboard Device source code and related
; documents, or for any claim by another party.  Your exclusive remedy under
; this Agreement shall be the furnishing by Digital of the technical support
; provided herein.  You agree to hold Digital harmless for all claims and
; damages arising from any third party as a result of their use of or inability
; to use any product you develop based on ACCESS.bus technology.
;*********************************************************************
;
;   Date	Revision	Perpetrator
;
;   30-Jan-91	X0.1		Mark Shepard
;	Created (from previous keyboard module)
;
;
 
$EJ
;***************
 
; Interrupt Enable Register
IE	EQU	0A8h
EX0	EQU	0			;External interrupt 0
ET0	EQU	1			;Timer0 interrupt
EX1	EQU	2			;External interrupt 1
ET1	EQU	3			;TimerI interrupt
EI2	EQU	4			;I2C interrupt
EA	EQU	7			;All interrupt enable/disable bit
 
; I2C Control Register
I2CON	EQU	098h
; Input (read) is bit #s for JB etc...
RDAT	EQU	7			;receive data
ATN	EQU	6			;attention
DRDY	EQU	5			;data ready
ARL	EQU	4			;arbitration loss
STR	EQU	3			;start
STP	EQU	2			;stop
MST	EQU	1			;master
; Output (write) is binary values for MOV I2CON,#...
CXA	EQU	80h			;clear xmit active
IDLE	EQU	40h			;set to idle slave
CDR	EQU	20h			;clear data ready
CARL	EQU	10h			;clear arbitration loss
CSTR	EQU	08h			;clear start
CSTP	EQU	04h			;clear stop
XSTR	EQU	02h			;transmit start
XSTP	EQU	01h			;transmit stop
 
; I2C Data Register
I2DAT	EQU	099h
XDAT	EQU	80h			;transmit data
 
; I2C Configuration Register
I2CFG	EQU	0D8h
SLAVEN	EQU	80h			;enable slave mode
SLAVENB	EQU	7
MASTRQ	EQU	40h			;master request
MASTRQB EQU	6
CLRTI	EQU	20h			;clear timerI
CLRTIB	EQU	5
TIRUN	EQU	10h			;timerI run
TIRUNB	EQU	4
 
TCON	EQU	088h			;Timer Control
 
; 83C751 SFRs
P0	EQU	080h
SCL	BIT	P0.0
SDA	BIT	P0.1
SP	EQU	081h
DPL	EQU	082h
DPH	EQU	083h
TL	EQU	08Ah			;Timer Lo
RTL	EQU	08Bh			;Reload TL
TH	EQU	08Ch			;Timer Hi
RTH	EQU	08Dh			;Reload TH
P1	EQU	090h
P3	EQU	0B0h
PSW	EQU	0D0h
ACC	EQU	0E0h
B	EQU	0F0h
 
;*************** End of include file
